Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2131206 - The main window will not open
Summary: The main window will not open
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-30 09:39 UTC by iolo
Modified: 2023-01-08 01:28 UTC (History)
12 users (show)

Fixed In Version: nextcloud-client-3.6.4-1.fc37 nextcloud-client-3.6.4-3.fc37 nextcloud-client-3.6.4-3.el9 nextcloud-client-3.6.4-3.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-31 01:10:19 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description iolo 2022-09-30 09:39:07 UTC
Description of problem:
When trying to open the main window, simply nothing happens. This is the main window that should open when clicking the topmost item in the menu of the tray icon's menu (when using the appindicator shell extension in Gnome to get system tray support).

Version-Release number of selected component (if applicable):
nextcloud-client.x86_64                       3.6.0-1.fc36

How reproducible:
Always

Steps to Reproduce:
1. Open the system tray icon menu for the Nextcloud client
2. Click the topmost item in the menu

Actual results:
Nothing happens.

Expected results:
The main window opens.

Additional info:

Comment 1 iolo 2022-10-10 16:12:59 UTC
Is there something I can do to get traction on this? Is there more information I need to provide? I can see I didn't mention previously that I use a Wayland session in Gnome.

Comment 2 Michel Lind 2022-10-20 01:35:11 UTC
Same here, with nextcloud-client-3.6.0-3.fc37.x86_64, GNOME with a Wayland session.

The Settings menu works, but the main dialog does not -- and I'm pretty sure it used to with a previous version.

Comment 3 Mukundan Ragavan 2022-10-20 02:10:26 UTC
I do not use GNOME. So, I have little means to test it.

That said, I am going to update to v3.6.1. You can test and see if that works. We can go from there.

Comment 4 iolo 2022-10-21 16:35:32 UTC
I'm only seeing a 3.6.1 update in Bodhi for Fedora 38. Is the update coming for Fedora 36 at some point as well?

Comment 5 Fedora Update System 2022-10-22 13:15:06 UTC
FEDORA-2022-8fdaeb504f has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8fdaeb504f

Comment 6 Fedora Update System 2022-10-22 13:15:08 UTC
FEDORA-2022-66c2ce78a8 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-66c2ce78a8

Comment 7 Fedora Update System 2022-10-22 14:34:09 UTC
FEDORA-2022-8fdaeb504f has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-8fdaeb504f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-8fdaeb504f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-10-23 07:35:27 UTC
FEDORA-2022-66c2ce78a8 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-66c2ce78a8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-66c2ce78a8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 iolo 2022-10-23 14:26:58 UTC
I installed the 3.6.1 update for Fedora 36 and rebooted, but the main dialog still does not open.

I discovered that the debug log output (open the client settings, press F12, and tick the box there) did not work, so I thought that maybe my client configuration has been messed up somehow. So, I removed the nextcloud-client package, and then the relevant config files from my home directory, then rebooted and reinstalled nextcloud-client. After signing back into my Nextcloud account as normal, the main dialog still does not open, so the problem does not appear to be in my client configuration.

Comment 10 Basil Eric Rabi 2022-10-24 03:49:14 UTC
This issue still persists in the recent update (3.6.1) in fedora 37.

Comment 11 Fedora Update System 2022-11-03 15:57:37 UTC
FEDORA-2022-8fdaeb504f has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-11-10 22:22:17 UTC
FEDORA-2022-66c2ce78a8 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Basil Eric Rabi 2022-12-07 00:37:26 UTC
This issue still persists in 3.6.2.

Comment 14 Joshua Noeske 2022-12-18 15:03:51 UTC
I face the same issue. I am using Nextcloud client version 3.6.2 on Fedora 37 with Gnome Wayland. I also tried switching to Xorg, but that didn't change anything. The settings window still opens, the main window does not.

Comment 15 Rick Dicaire 2022-12-23 20:25:15 UTC
Same issue with nextcloud-client 3.6.2 1.fc36 86_64 on Fedora 36, XFCE.

Comment 16 Mukundan Ragavan 2022-12-25 17:14:54 UTC
I do not see this issue at all in Xfce/F37 (or in my F36 installation). If you launch the client from terminal and then click to open the main window, do you see any errors in the terminal?

I am updating to 3.6.4 shortly, please test it with v3.6.4

Comment 17 Fedora Update System 2022-12-25 18:09:37 UTC
FEDORA-2022-ced566f14c has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ced566f14c

Comment 18 Fedora Update System 2022-12-25 18:09:38 UTC
FEDORA-2022-7b1f35a080 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7b1f35a080

Comment 19 Rick Dicaire 2022-12-26 00:33:25 UTC
(In reply to Mukundan Ragavan from comment #16)
> I do not see this issue at all in Xfce/F37 (or in my F36 installation). If
> you launch the client from terminal and then click to open the main window,
> do you see any errors in the terminal?
> 
> I am updating to 3.6.4 shortly, please test it with v3.6.4

I saw no messages at all when starting from a terminal, I was surprised too, I expected to see something.

Comment 20 Rick Dicaire 2022-12-26 00:46:33 UTC
I grabbed the client and libs rpms for v3.6.4, installed, and still see same behaviour and also no messages when started from a terminal.

Comment 21 Fedora Update System 2022-12-26 01:18:28 UTC
FEDORA-2022-7b1f35a080 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-7b1f35a080`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-7b1f35a080

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2022-12-26 02:04:53 UTC
FEDORA-2022-ced566f14c has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ced566f14c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ced566f14c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Basil Eric Rabi 2022-12-26 22:54:32 UTC
In gnome, nextcloud is started right after logging in. Running in terminal shows:

[brabi@brabi-f37 ~]$ nextcloud -q
QSocketNotifier: Can only be used with threads started with QThread
nextcloud.gui.application: Already running, exiting...
[brabi@brabi-f37 ~]$ nextcloud
QSocketNotifier: Can only be used with threads started with QThread
nextcloud.gui.application: Already running, exiting...

Comment 24 Rick Dicaire 2022-12-27 05:30:40 UTC
Yes, well, the client's already running. You have to stop the currently running process before you can start it in a termininal.

Comment 25 Fedora Update System 2022-12-30 21:28:55 UTC
FEDORA-EPEL-2022-c75a0c237a has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-c75a0c237a

Comment 26 Fedora Update System 2022-12-30 21:28:56 UTC
FEDORA-2022-461944c17d has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-461944c17d

Comment 27 Fedora Update System 2022-12-30 21:28:57 UTC
FEDORA-2022-3c34a67bc4 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-3c34a67bc4

Comment 28 Fedora Update System 2022-12-31 01:10:19 UTC
FEDORA-2022-ced566f14c has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 29 Fedora Update System 2022-12-31 01:33:17 UTC
FEDORA-EPEL-2022-c75a0c237a has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-c75a0c237a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 30 Fedora Update System 2022-12-31 02:08:24 UTC
FEDORA-2022-3c34a67bc4 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-3c34a67bc4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-3c34a67bc4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 31 Fedora Update System 2022-12-31 02:18:20 UTC
FEDORA-2022-461944c17d has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-461944c17d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-461944c17d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 32 Basil Eric Rabi 2022-12-31 04:24:43 UTC
(In reply to Rick Dicaire from comment #24)
> Yes, well, the client's already running. You have to stop the currently
> running process before you can start it in a termininal.

Nope. That is the bug. Window should open, even if a process is running. The bug is fixed now in the latest update.

Comment 33 Rick Dicaire 2022-12-31 06:29:25 UTC
Except as I mentioned above, the main dialog window does not open for me. What troubleshootimng steps can be used to help?

Comment 34 Mukundan Ragavan 2022-12-31 22:40:57 UTC
(In reply to Rick Dicaire from comment #33)
> Except as I mentioned above, the main dialog window does not open for me.
> What troubleshootimng steps can be used to help?

https://bodhi.fedoraproject.org/updates/FEDORA-2022-461944c17d

Try this update please. Make sure you quit nextcloud-client completely and restart it.

Comment 35 Rick Dicaire 2022-12-31 22:58:36 UTC
I have installed the client and libs pkgs on Fedora 36, stopped/started the client, rebooted too, and still see the same behaviour, no window opens when selecting Open Main Window.

rpm -qa|grep nextcloud
nextcloud-client-libs-3.6.4-1.fc36.x86_64
nextcloud-client-3.6.4-1.fc36.x86_64

Comment 36 Rick Dicaire 2022-12-31 23:03:24 UTC
My apologies, there's another update you made after I installed the first updates you provided.

rpm -qa|grep nextcloud
nextcloud-client-libs-3.6.4-3.fc36.x86_64
nextcloud-client-3.6.4-3.fc36.x86_64

I am now seeing the main dialog window, thank you!

Comment 37 Mukundan Ragavan 2023-01-01 16:16:21 UTC
(In reply to Rick Dicaire from comment #36)
> My apologies, there's another update you made after I installed the first
> updates you provided.
> 
> rpm -qa|grep nextcloud
> nextcloud-client-libs-3.6.4-3.fc36.x86_64
> nextcloud-client-3.6.4-3.fc36.x86_64
> 
> I am now seeing the main dialog window, thank you!

Excellent. Thanks for the feedback.

Comment 38 Fedora Update System 2023-01-05 01:17:13 UTC
FEDORA-2022-461944c17d has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 39 Fedora Update System 2023-01-08 00:33:56 UTC
FEDORA-EPEL-2022-c75a0c237a has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 40 Fedora Update System 2023-01-08 01:28:41 UTC
FEDORA-2022-3c34a67bc4 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.